<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE task
  PUBLIC "-//OASIS//DTD DITA Task//EN" "task.dtd">
<task id="configure-sql-server-connection">
  <title>How to Configure a Microsoft SQL Server Connection</title>
  <taskbody>
    <prereq>
      <p id="p_usw_cgk_54b">
        <note id="note_vsw_cgk_54b">The support to configure a Microsoft SQL Server connection is available in the
          Enterprise edition only.</note>
      </p>
    </prereq>
    <context>
      <p id="p_wsw_cgk_54b">To configure a connection to a Microsoft SQL Server, follow these steps:</p>
    </context>
    <steps>
      <step id="step1">
        <cmd><ph conkeyref="reusables-working-with-databases/open-ds"/></cmd>
      </step>
      <step>
        <cmd><ph conkeyref="reusables-working-with-databases/click-new-connection"/></cmd>
        <stepresult>
          <p id="p_xsw_cgk_54b">The dialog box for configuring a database connection is displayed.</p>
          <p id="p_ysw_cgk_54b">
            <fig product="editor author developer" id="fig_zsw_cgk_54b">
              <title>Connection Configuration Dialog Box</title>
              <image href="../img/sa_connection_sql_server.png"/>
            </fig>
          </p>
          <p id="p_atw_cgk_54b">
            <fig product="editorEclipse authorEclipse developerEclipse" id="fig_btw_cgk_54b">
              <title>Connection Configuration Dialog Box</title>
              <image href="../img/ec_connection_sql_server.png"/>
            </fig>
          </p>
        </stepresult>
      </step>
      <step id="step3">
        <cmd><ph conkeyref="reusables-working-with-databases/unique-name-connection"/></cmd>
      </step>
      <step>
        <cmd>Select the <i>SQL Server</i> data source in the <uicontrol>Data Source</uicontrol>
          drop-down menu.</cmd>
      </step>
      <step>
        <cmd>Enter the connection details.</cmd>
        <substeps>
          <substep>
            <cmd>Enter the URL of the SQL Server server.</cmd>
            <info>If you want to connect to the server using Windows integrated authentication, you
              must add <b>;integratedSecurity=true</b> to the end of the URL. The URL will look like
                this:<codeblock  id="codeblock_ctw_cgk_54b">jdbc:sqlserver://localhost;instanceName=SQLEXPRESS;integratedSecurity=true;</codeblock><note id="note_dtw_cgk_54b">For
                integrated authentication, leave the <uicontrol>User</uicontrol> and
                  <uicontrol>Password</uicontrol> fields empty.</note></info>
          </substep>
          <substep>
            <cmd>Enter the user name for the connection to the SQL Server.</cmd>
          </substep>
          <substep>
            <cmd>Enter the password for the connection to the SQL Server.</cmd>
          </substep>
        </substeps>
      </step>
      <step id="step6">
        <cmd><ph conkeyref="reusables-working-with-databases/click-ok-connection"/></cmd>
      </step>
      <step>
        <cmd>To view your connection, go to the <xref
            href="relational-database-explorer.dita#relational-database-explorer"><uicontrol>Data
              Source Explorer</uicontrol> view</xref>
          <ph conkeyref="reusables-user-guide/reopen-view-parenthesis"/> or switch to the
            <uicontrol>Database</uicontrol>
          <xref keyref="glossentry_perspective"><term>perspective</term></xref>.</cmd>
      </step>
    </steps>
  </taskbody>
</task>